petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSFCreateFromZero

Create a PetscSF that maps a Vec from sequential to distributed

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSFCreateFromZero(MPI_Comm comm, Vec gv, PetscSF *sf)

### Input Parameters

gv -A distributed Vec

### Output Parameters

sf -The SF created mapping a sequential Vec to gv

### See Also

DMPlexDistributedToSequential()

Level:developer
Location:src/vec/vec/utils/vpscat.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages